%define snapshot 20150305

Name:		perroquet
Version:	1.1.2
Release:	%mkrel -c %{snapshot} 3
Summary:	A listening comprehension tutor
Group:		Education
License:	GPLv3+
URL:		http://perroquet.niavok.com
#Source0:	http://launchpad.net/perroquet/1.1/%%{version}/+download/%%{name}-%%{version}.tar.gz
Source0:	%{name}-%{version}-%{snapshot}.tar.xz

BuildRequires:	pkgconfig(python2)
BuildRequires:	intltool
BuildRequires:	python-setuptools
BuildRequires:	desktop-file-utils
Requires:	gtk+2.0
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-soundtouch
Requires:	gstreamer0.10-python
Requires:	pygtk2.0
BuildArch:	noarch

%description
Perroquet is a educational program to improve playfully your listening in a
foreign language.

The principle of Perroquet is to use a video or audio file and the associated
subtitles to make you listen and understand the dialogue or lyrics. After
having identified the files to use, Perroquet will read a piece of video then
pause. It will show you the number of words to find and you will have to type
them to continue. You can listen a sequence as many times as necessary.
If you do not understand, Perroquet offers several means to help you.

%prep
%setup -q -n %{name}-%{version}-%{snapshot}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py \
	--without-icon-cache \
	--without-mime-database \
	--without-desktop-database \
	install --root=%{buildroot}

desktop-file-install \
	--remove-key=Encoding \
	--remove-category=Application \
	--add-category=Languages \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

rm -rf %{buildroot}%{_datadir}/pixmaps

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS ChangeLog NEWS MAINTAINERS
%{_bindir}/%{name}
%{python2_sitelib}/%{name}lib
%{python2_sitelib}/%{name}-%{version}_dev-py%{python2_version}.egg-info
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/*.*
%{_datadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.ini
%config(noreplace) %{_sysconfdir}/%{name}/*.conf


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.1.2-0.20150305.3.mga6
+ Revision: 972081
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 1.1.2-0.20150305.2.mga6
+ Revision: 895321
- use new python macros to fix build

* Thu Mar 05 2015 akien <akien> 1.1.2-0.20150305.1.mga5
+ Revision: 817834
- New snapshot
- Add Danish and German support
- Fix URL
- Upstream dev snapshot fixes non-functional application (mga#15305)

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-9.mga5
+ Revision: 739429
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.1-8.mga5
+ Revision: 727755
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-7.mga5
+ Revision: 687071
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1.1-5.mga4
+ Revision: 542798
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.1-4.mga4
+ Revision: 498036
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 375633
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 06 2011 wally <wally> 1.1.1-2.mga2
+ Revision: 139128
- require gstreamer0.10-soundtouch (for slowly play feature)

* Fri Jun 17 2011 wally <wally> 1.1.1-1.mga2
+ Revision: 109291
- imported package perroquet


* Fri Jun 17 2011 Jani Välimaa <wally@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 685873
- new version 1.1.1
- drop buildroot definition
- minor .spec cleanup

* Sat Jan 16 2010 Jérôme Brenier <incubusss@mandriva.org> 1.0.1-2mdv2011.0
+ Revision: 492482
- use Education for the Group tag
- fix desktop file (and BR desktop-file-utils)

* Sat Jan 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 491950
- import perroquet


